Bug 251944 - Traceback possibly when running %pre script
Traceback possibly when running %pre script
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Chris Lumens
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-08-13 12:09 EDT by Orion Poplawski
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-08-14 11:47:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
kickstart script (7.11 KB, text/plain)
2007-08-14 11:14 EDT, Orion Poplawski
no flags Details

  None (edit)
Description Orion Poplawski 2007-08-13 12:09:46 EDT
Description of problem:

Get the following traceback doing a PXE/kickstart install (rest has scrolled off
the screen):

File "/usr/lib/python2.5/subprocess.py", line 593, in __init__
  errread, errwrite)
File "/usr/lib/python2.5/subprocess.py", line 1079, in _execute_child
  raise child_exception
TypeError: coercing to Unicode: need string or buffer, NoneType found

Last vt3 message:

INFO: Running kickstart %%pre script(s)

%pre script:
set -x
Comment 1 Chris Lumens 2007-08-13 13:06:11 EDT
Please attach the entire traceback message.  It should still be on tty3 in its
entirety, unless it's a really long traceback.
Comment 2 Orion Poplawski 2007-08-13 13:52:24 EDT
It's definitely from executing the %pre script - removing the %pre section
allows it to proceed.

There is no traceback logged on tty3, just the normal anaconda messages, last of
which is the info message I mentioned above.
Comment 3 Chris Lumens 2007-08-14 11:11:29 EDT
Can you attach your complete kickstart script?
Comment 4 Orion Poplawski 2007-08-14 11:14:18 EDT
Created attachment 161273 [details]
kickstart script
Comment 5 Orion Poplawski 2007-08-14 11:47:44 EDT
Works in today's (20070814) rawhide.
Comment 6 Chris Lumens 2007-08-14 11:52:39 EDT
Glad it works, because that was a truly bizarre bug and I wasn't getting much
closer to figuring out what was going on.

Note You need to log in before you can comment on or make changes to this bug.